Results 1 to 2 of 2

Thread: Cross-compilation for armhf arch on Lucid

  1. #1
    Join Date
    Aug 2013

    Cross-compilation for armhf arch on Lucid


    I'm running Lucid (10.04) and for various reasons I can't upgrade without breaking other software. Now I have to start cross-compiling g++ for an Armv7l (Armhf) board with 512 MB RAM running 12.04 with the LXDE desktop. To be able to do this cross-compilation I need the toolchain but find 2 problems. First is that the g++-arm-linux-gnueabi package is only available from Precise (12.04 ?) and also only for the armel arch. Can someone please advise me on what to do ?

    Thanks very much.


    Edit: ok, it is available for armhf as well, but not for pre_Precise as far as I can see.

    Edit2: found a workaround.
    Last edited by hvn2; August 12th, 2013 at 08:52 AM. Reason: Solution found

  2. #2
    Join Date
    Aug 2011

    Re: Cross-compilation for armhf arch on Lucid

    I'm in the same situation. Do you mind sharing the workaround you found?

Tags for this Thread


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts